; compiler          : jal 00.04-10
; date              : 18-Aug-2000 19:19:32
; main source       : duka_jal
; command line      : duka_jal.txt 
; target  chip      : 16f84
;         cpu       : pic 14
;         clock     : 4000000
; input   files     : 11
;         lines     : 1710
;         chars     : 42251
; compilation nodes : 9494
;             stack : 23Kb
;              heap : 2740Kb
;           seconds : 21.648 (0 lines/second)
; output       code : 231
;              file : 15
;              stack: 1 (1,0,0)
	
 list p=16f628A
	#INCLUDE 	<P16f628a.inc>
	ERRORLEVEL	-302
 __CONFIG _CP_OFF &  _PWRTE_ON & _WDT_OFF & _XT_OSC 
	movlw	0x07
	movwf	CMCON
; var H'00C:000'  transfer_bit
; var H'00D:000'  transfer_byte

;; 034 : var volatile byte port_a at  5
; var H'005:000' port_a

;; 035 : var volatile byte port_b at  6
; var H'006:000' port_b

;; 055 : var volatile bit  pin_b4 at port_b : 4
; var H'006:004' pin_b4

;; 115 : var byte trisa
; var H'00E:000' trisa

;; 116 : var byte trisb
; var H'00F:000' trisb

;; 117 : var byte trisc
; var H'010:000' trisc

;; 122 :   movlw all_input
  movlw   H'FF'                           ; 0000: 30FF ; 255

;; 124 :   movwf trisa
  movwf   H'0E'                           ; 0001: 008E ; 0x0E trisa

;; 126 :   movwf trisb
  movwf   H'0F'                           ; 0002: 008F ; 0x0F trisb

;; 128 :   movwf trisc
  movwf   H'10'                           ; 0003: 0090 ; 0x10 trisc

;; 408 : var byte _port_b_buffer
; var H'011:000' _port_b_buffer

;; 016 : port_a_direction = all_input	-- BCD Schalter
  movlw   H'FF'                           ; 0004: 30FF ; 255
  movwf   H'12'                           ; 0005: 0092 ; 0x12 x
  call    _1492__vector                   ; 0006: 20D8 ; _1492__vector

;; 019 : pin_b0_direction = output	-- select Dekade 0
  bcf     H'0C',1                         ; 0007: 108C ; 0x0C d
  call    _1904__vector                   ; 0008: 20D2 ; _1904__vector

;; 020 : pin_b1_direction = output	-- select Dekade 1
  bcf     H'0C',1                         ; 0009: 108C ; 0x0C d
  call    _1940__vector                   ; 000A: 20CC ; _1940__vector

;; 021 : pin_b2_direction = output	-- select Dekade 2
  bcf     H'0C',1                         ; 000B: 108C ; 0x0C d
  call    _1976__vector                   ; 000C: 20C6 ; _1976__vector

;; 022 : pin_b3_direction = output	-- Power on (Solid - State relais)
  bcf     H'0C',1                         ; 000D: 108C ; 0x0C d
  call    _2012__vector                   ; 000E: 20C0 ; _2012__vector

;; 025 : pin_b4_direction = input	-- Start
  bsf     H'0C',1                         ; 000F: 148C ; 0x0C d
  call    _2048__vector                   ; 0010: 20BA ; _2048__vector

;; 026 : pin_b5_direction = input	-- reserve 
  bsf     H'0C',1                         ; 0011: 148C ; 0x0C d
  call    _2084__vector                   ; 0012: 20B4 ; _2084__vector

;; 027 : pin_b6_direction = input	-- reserve
  bsf     H'0C',1                         ; 0013: 148C ; 0x0C d
  call    _2120__vector                   ; 0014: 20AE ; _2120__vector

;; 028 : pin_b7_direction = input	-- reserve
  bsf     H'0C',1                         ; 0015: 148C ; 0x0C d
  call    _2156__vector                   ; 0016: 20A8 ; _2156__vector

;; 032 : var byte dek_0 = 0 	-- Variable fr Dekade 0
; var H'012:000' dek_0
  clrf    H'12'                           ; 0017: 0192 ; 0x12 dek_0

;; 033 : var byte dek_1 = 0 	-- Variable fr Dekade 1
; var H'013:000' dek_1
  clrf    H'23'                                ; 0018: 0193 ; 0x13 dek_1

;; 034 : var byte dek_2 = 0 	-- Variable fr Dekade 2
; var H'020:000' dek_2
  clrf    H'20'                           ; 0019: 0194 ; 0x20 dek_2

;; 035 : var bit start = false	-- Start flag
; var H'021:001' start
  bcf     H'21',1                         ; 001A: 108C ; 0x21 start

;; 036 : var bit merker = false	-- merker
; var H'021:002' merker
  bcf     H'21',2                         ; 001B: 110C ; 0x21 merker

;; 039 : pin_b0 = off		
  bcf     H'21',3                         ; 001C: 118C ; 0x21 x
  call    _3706__vector                   ; 001D: 20A1 ; _3706__vector

;; 040 : pin_b1 = off
  bcf     H'21',3                         ; 001E: 118C ; 0x21 x
  call    _3742__vector                   ; 001F: 209D ; _3742__vector

;; 041 : pin_b2 = off
  bcf     H'21',3                         ; 0020: 118C ; 0x21 x
  call    _3778__vector                   ; 0021: 2099 ; _3778__vector

;; 042 : pin_b3 = off		
  bcf     H'21',3                         ; 0022: 118C ; 0x21 x
  call    _3814__vector                   ; 0023: 2095 ; _3814__vector

;; 044 : forever loop
w_8407_ag ; 0024

;; 047 : if pin_b4 == false then
  btfsc   H'06',4                         ; 0024: 1A06 ; 0x06 pin_b4
  goto    if_8198_by                      ; 0025: 2827 ; if_8198_by
if_8198_th ; 0026

;; 048 : 	merker = true
  bsf     H'21',2                         ; 0026: 150C ; 0x21 merker
if_8198_by ; 0027

;; 050 : if (merker == true) & (pin_b4 == true) then
  btfss   H'21',2                         ; 0027: 1D0C ; 0x21 merker
  goto    if_8212_by                      ; 0028: 282D ; if_8212_by
e_8218 ; 0029
  btfss   H'21',4                         ; 0029: 1E06 ; 0x21 pin_b4
  goto    if_8212_by                      ; 002A: 282D ; if_8212_by
if_8212_th ; 002B

;; 051 : 	start = true
  bsf     H'21',1                         ; 002B: 148C ; 0x21 start

;; 052 : 	merker = false
  bcf     H'21',2                         ; 002C: 110C ; 0x21 merker
if_8212_by ; 002D

;; 055 : if start == false then			-- nur bearbeiten wenn keine Belichtung
  btfsc   H'21',1                         ; 002D: 188C ; 0x21 start
  goto    if_8238_by                      ; 002E: 284C ; if_8238_by
if_8238_th ; 002F

;; 057 : 	pin_b0 = on			-- select Dekade 0
  bsf     H'21',3                         ; 002F: 158C ; 0x21 x
  call    _3706__vector                   ; 0030: 20A1 ; _3706__vector

;; 058 : 	delay_10ms(diode)		-- Verzgerung Schaltzeit fr Dioden
  movlw   H'01'                           ; 0031: 3001 ; 1
  movwf   H'15'                           ; 0032: 0095 ; 0x15 x
  call    _6216__vector                   ; 0033: 207F ; _6216__vector

;; 059 : 	dek_0 = port_a
  movf    H'05',w                         ; 0034: 0805 ; 0x05 port_a
  movwf   H'12'                           ; 0035: 0092 ; 0x12 dek_0

;; 060 : 	pin_b0 = off
  bcf     H'21',3                         ; 0036: 118C ; 0x21 x
  call    _3706__vector                   ; 0037: 20A1 ; _3706__vector

;; 063 : 	pin_b1 = on			-- select Dekade 1
  bsf     H'21',3                         ; 0038: 158C ; 0x21 x
  call    _3742__vector                   ; 0039: 209D ; _3742__vector

;; 064 : 	delay_10ms(diode)		-- Verzgerung Schaltzeit fr Dioden
  movlw   H'01'                           ; 003A: 3001 ; 1
  movwf   H'15'                           ; 003B: 0095 ; 0x15 x
  call    _6216__vector                   ; 003C: 207F ; _6216__vector

;; 065 : 	dek_1 = port_a
  movf    H'05',w                         ; 003D: 0805 ; 0x05 port_a
  movwf   H'23'                                ; 003E: 0093 ; 0x13 dek_1

;; 066 : 	pin_b1 = off
  bcf     H'21',3                         ; 003F: 118C ; 0x21 x
  call    _3742__vector                   ; 0040: 209D ; _3742__vector

;; 069 : 	pin_b2 = on			-- select Dekade 2
  bsf     H'21',3                         ; 0041: 158C ; 0x21 x
  call    _3778__vector                   ; 0042: 2099 ; _3778__vector

;; 070 : 	delay_10ms(diode)		-- Verzgerung Schaltzeit fr Dioden
  movlw   H'01'                           ; 0043: 3001 ; 1
  movwf   H'15'                           ; 0044: 0095 ; 0x15 x
  call    _6216__vector                   ; 0045: 207F ; _6216__vector

;; 071 : 	dek_2 = port_a
  movf    H'05',w                         ; 0046: 0805 ; 0x05 port_a
  movwf   H'24'     ; 0047: 0094 ; 0x14 dek_2

;; 072 : 	dek_2 = dek_2 * 2		-- JAL kann nur delay_5s
  clrc                                    ; 0048: 1003 ; 
  rlf     H'24',f                         ; 0049: 0D94 ; 0x14 dek_2

;; 073 : 	pin_b2 = off
  bcf     H'21',3                         ; 004A: 118C ; 0x21 x
  call    _3778__vector                   ; 004B: 2099 ; _3778__vector
if_8238_by ; 004C

;; 077 : if start == true then		-- Starttaste bettigt
  btfss   H'21',1                         ; 004C: 1C8C ; 0x21 start
  goto    if_8329_by                      ; 004D: 2868 ; if_8329_by
if_8329_th ; 004E

;; 078 : 	pin_b3 = on		-- Relais einschalten
  bsf     H'21',3                         ; 004E: 158C ; 0x21 x
  call    _3814__vector                   ; 004F: 2095 ; _3814__vector

;; 080 : 	if dek_0 >= 1 then		-- Bei Variablen Inhalt von 0 funktioniert delay 					-- nicht
  movlw   H'01'                           ; 0050: 3001 ; 1
  subwf   H'12',w                         ; 0051: 0212 ; 0x12 dek_0
  btfss   H'03',0                         ; 0052: 1C03 ; 0x03 PIC flags
  goto    if_8341_by                      ; 0053: 2857 ; if_8341_by
if_8341_th ; 0054

;; 081 : 		delay_100ms(dek_0)	-- Verz. der Dekade 0
  movf    H'12',w                         ; 0054: 0812 ; 0x12 dek_0
  movwf   H'15'                           ; 0055: 0095 ; 0x15 x
  call    _6333__vector                   ; 0056: 2078 ; _6333__vector
if_8341_by ; 0057

;; 084 : 	if dek_1 >= 1 then		-- Bei Variablen Inhalt von 0 funktioniert delay 
  movlw   H'01'                           ; 0057: 3001 ; 1
  subwf   H'23'     ,w                         ; 0058: 0213 ; 0x13 dek_1
  btfss   H'03',0                         ; 0059: 1C03 ; 0x03 PIC flags
  goto    if_8359_by                      ; 005A: 285E ; if_8359_by
if_8359_th ; 005B

;; 086 : 		delay_1S(dek_1)		-- Verz. der Dekade 1
  movf    H'23'     ,w                         ; 005B: 0813 ; 0x13 dek_1
  movwf   H'15'                           ; 005C: 0095 ; 0x15 x
  call    _6450__vector                   ; 005D: 2071 ; _6450__vector
if_8359_by ; 005E

;; 089 : 	if dek_2 >= 1 then		-- Bei Variablen Inhalt von 0 funktioniert delay 
  movlw   H'01'                           ; 005E: 3001 ; 1
  subwf   H'24',w                         ; 005F: 0214 ; 0x14 dek_2
  btfss   H'03',0                         ; 0060: 1C03 ; 0x03 PIC flags
  goto    if_8377_by                      ; 0061: 2865 ; if_8377_by
if_8377_th ; 0062

;; 091 : 		 delay_5s(dek_2)	-- Verz. der Dekade 2
  movf    H'24',w                         ; 0062: 0814 ; 0x14 dek_2
  movwf   H'15'                           ; 0063: 0095 ; 0x15 x
  call    _6528__vector                   ; 0064: 206A ; _6528__vector
if_8377_by ; 0065

;; 093 : 	start = false			-- Start zurcksetzen
  bcf     H'21',1                         ; 0065: 108C ; 0x21 start

;; 094 : 	pin_b3 = off			-- Relais ausschalten
  bcf     H'21',3                         ; 0066: 118C ; 0x21 x
  call    _3814__vector                   ; 0067: 2095 ; _3814__vector
if_8329_by ; 0068
  goto    w_8407_ag                       ; 0068: 2824 ; w_8407_ag

;; 003 :   loop:
as_8410_loop ; 0069

;; 005 :      goto loop
  goto    H'069'                          ; 0069: 2869 ; 
_6528__vector ; 006A

;; 387 : procedure delay_5s( byte in x = 1 ) is
; var H'015:000' x
p_6528_delay_5s ; 006A

;; 388 :    _delay_100us( x, 250, 200 )
  movf    H'15',w                         ; 006A: 0815 ; 0x15 x
  movwf   H'16'                           ; 006B: 0096 ; 0x16 x
  movlw   H'FA'                           ; 006C: 30FA ; 250
  movwf   H'17'                           ; 006D: 0097 ; 0x17 y
  movlw   H'C8'                           ; 006E: 30C8 ; 200
  movwf   H'18'                           ; 006F: 0098 ; 0x18 z
  goto    _5711__vector                   ; 0070: 2886 ; _5711__vector
e_6528_delay_5s ; 0071
_6450__vector ; 0071

;; 379 : procedure delay_1s( byte in x = 1 ) is
; var H'015:000' x
p_6450_delay_1s ; 0071

;; 380 :    _delay_100us( x, 100, 100 )
  movf    H'15',w                         ; 0071: 0815 ; 0x15 x
  movwf   H'16'                           ; 0072: 0096 ; 0x16 x
  movlw   H'64'                           ; 0073: 3064 ; 100
  movwf   H'17'                           ; 0074: 0097 ; 0x17 y
  movlw   H'64'                           ; 0075: 3064 ; 100
  movwf   H'18'                           ; 0076: 0098 ; 0x18 z
  goto    _5711__vector                   ; 0077: 2886 ; _5711__vector
e_6450_delay_1s ; 0078
_6333__vector ; 0078

;; 367 : procedure delay_100ms( byte in x = 1 ) is
; var H'015:000' x
p_6333_delay_100ms ; 0078

;; 368 :    _delay_100us( x, 100, 10 )
  movf    H'15',w                         ; 0078: 0815 ; 0x15 x
  movwf   H'16'                           ; 0079: 0096 ; 0x16 x
  movlw   H'64'                           ; 007A: 3064 ; 100
  movwf   H'17'                           ; 007B: 0097 ; 0x17 y
  movlw   H'0A'                           ; 007C: 300A ; 10
  movwf   H'18'                           ; 007D: 0098 ; 0x18 z
  goto    _5711__vector                   ; 007E: 2886 ; _5711__vector
e_6333_delay_100ms ; 007F
_6216__vector ; 007F

;; 355 : procedure delay_10ms( byte in x = 1 ) is
; var H'015:000' x
p_6216_delay_10ms ; 007F

;; 356 :    _delay_100us( x, 100, 1 )
  movf    H'15',w                         ; 007F: 0815 ; 0x15 x
  movwf   H'16'                           ; 0080: 0096 ; 0x16 x
  movlw   H'64'                           ; 0081: 3064 ; 100
  movwf   H'17'                           ; 0082: 0097 ; 0x17 y
  movlw   H'01'                           ; 0083: 3001 ; 1
  movwf   H'18'                           ; 0084: 0098 ; 0x18 z
  goto    _5711__vector                   ; 0085: 2886 ; _5711__vector
e_6216_delay_10ms ; 0086
_5711__vector ; 0086

;; 233 : procedure _delay_100us( byte in x, byte in y, byte in z ) is
; var H'016:000' x
; var H'017:000' y
; var H'018:000' z
p_5711__delay_100us ; 0086

;; 290 :       var byte xx, yy
; var H'019:000' xx
; var H'01A:000' yy

;; 297 :       loop_z:
as_5910_loop_z ; 0086

;; 300 :          movfw y
  movfw   H'17'                           ; 0086: 0817 ; 0x17 y

;; 301 :          movwf yy
  movwf   H'1A'                           ; 0087: 009A ; 0x1A yy

;; 302 :       loop_y:
as_5907_loop_y ; 0088

;; 305 :          movfw x
  movfw   H'16'                           ; 0088: 0816 ; 0x16 x

;; 306 :          movwf xx
  movwf   H'19'                           ; 0089: 0099 ; 0x19 xx

;; 307 :       loop_x:
as_5904_loop_x ; 008A

;; 309 :          movlw inner_iterations
  movlw   H'17'                           ; 008A: 3017 ; 23

;; 310 :       loop_w:
as_5913_loop_w ; 008B

;; 311 :          addlw -1
  addlw   H'FFFFFFFF'                     ; 008B: 3EFF ; -1

;; 312 :          skpnc
  skpnc                                   ; 008C: 1803 ; 

;; 313 :             goto loop_w
  goto    H'08B'                          ; 008D: 288B ; 

;; 315 :          decfsz xx, f
  decfsz  H'19',f                         ; 008E: 0B99 ; 0x19 xx

;; 316 :          goto loop_x
  goto    H'08A'                          ; 008F: 288A ; 

;; 318 :          decfsz yy, f
  decfsz  H'1A',f                         ; 0090: 0B9A ; 0x1A yy

;; 319 :          goto loop_y
  goto    H'088'                          ; 0091: 2888 ; 

;; 321 :          decfsz z, f
  decfsz  H'18',f                         ; 0092: 0B98 ; 0x18 z

;; 322 :          goto loop_z
  goto    H'086'                          ; 0093: 2886 ; 
e_5711__delay_100us ; 0094
  return                                  ; 0094: 0008 ; 

;; 516 : procedure pin_b3'put( bit in x ) is
p_3814__pin_b3__put_t ; 0095
_3814__vector ; 0095
; var H'00C:003' x
p_3814_put ; 0095

;; 517 :    var bit pin_b3_buffer at _port_b_buffer : 3
; var H'011:003' pin_b3_buffer

;; 518 :    pin_b3_buffer = x
  bcf     H'11',3                         ; 0095: 1191 ; 0x11 pin_b3_buffer
  btfsc   H'21',3                         ; 0096: 198C ; 0x21 x
ass_3837_t ; 0097
  bsf     H'11',3                         ; 0097: 1591 ; 0x11 pin_b3_buffer
ass_3837_f ; 0098

;; 519 :    _port_b_flush
  goto    _3056__vector                   ; 0098: 28A5 ; _3056__vector
e_3814_put ; 0099

;; 511 : procedure pin_b2'put( bit in x ) is
p_3778__pin_b2__put_t ; 0099
_3778__vector ; 0099
; var H'00C:003' x
p_3778_put ; 0099

;; 512 :    var bit pin_b2_buffer at _port_b_buffer : 2
; var H'011:002' pin_b2_buffer

;; 513 :    pin_b2_buffer = x
  bcf     H'11',2                         ; 0099: 1111 ; 0x11 pin_b2_buffer
  btfsc   H'21',3                         ; 009A: 198C ; 0x21 x
ass_3801_t ; 009B
  bsf     H'11',2                         ; 009B: 1511 ; 0x11 pin_b2_buffer
ass_3801_f ; 009C

;; 514 :    _port_b_flush
  goto    _3056__vector                   ; 009C: 28A5 ; _3056__vector
e_3778_put ; 009D

;; 506 : procedure pin_b1'put( bit in x ) is
p_3742__pin_b1__put_t ; 009D
_3742__vector ; 009D
; var H'00C:003' x
p_3742_put ; 009D

;; 507 :    var bit pin_b1_buffer at _port_b_buffer : 1
; var H'011:001' pin_b1_buffer

;; 508 :    pin_b1_buffer = x
  bcf     H'11',1                         ; 009D: 1091 ; 0x11 pin_b1_buffer
  btfsc   H'21',3                         ; 009E: 198C ; 0x21 x
ass_3765_t ; 009F
  bsf     H'11',1                         ; 009F: 1491 ; 0x11 pin_b1_buffer
ass_3765_f ; 00A0

;; 509 :    _port_b_flush
  goto    _3056__vector                   ; 00A0: 28A5 ; _3056__vector
e_3742_put ; 00A1

;; 501 : procedure pin_b0'put( bit in x ) is
p_3706__pin_b0__put_t ; 00A1
_3706__vector ; 00A1
; var H'21:003' x
p_3706_put ; 00A1

;; 502 :    var bit pin_b0_buffer at _port_b_buffer : 0
; var H'011:000' pin_b0_buffer

;; 503 :    pin_b0_buffer = x
  bcf     H'11',0                         ; 00A1: 1011 ; 0x11 pin_b0_buffer
  btfsc   H'21',3                         ; 00A2: 198C ; 0x0C x
ass_3729_t ; 00A3
  bsf     H'11',0                         ; 00A3: 1411 ; 0x11 pin_b0_buffer
ass_3729_f ; 00A4

;; 504 :    _port_b_flush
  goto    _3056__vector                   ; 00A4: 28A5 ; _3056__vector
e_3706_put ; 00A5
_3056__vector ; 00A5
p_3056__port_b_flush ; 00A5

;; 415 :    var volatile byte port_b at 6 = _port_b_buffer
; var H'006:000' port_b
  movf    H'11',w                         ; 00A5: 0811 ; 0x11 _port_b_buffer
  movwf   H'06'                           ; 00A6: 0086 ; 0x06 port_b
e_3056__port_b_flush ; 00A7
  return                                  ; 00A7: 0008 ; 

;; 292 : procedure pin_b7_direction'put( bit in d ) is
p_2156__pin_b7_direction__put_t ; 00A8
_2156__vector ; 00A8
; var H'00C:001' d
p_2156_put ; 00A8

;; 293 :    var volatile bit b7_direction at trisb : 7
; var H'00F:007' b7_direction

;; 294 :    b7_direction = d
  btfss   H'0C',1                         ; 00A8: 1C8C ; 0x0C d
  goto    ass_2179_f                      ; 00A9: 28AC ; ass_2179_f
ass_2179_t ; 00AA
  bsf     H'0F',7                         ; 00AA: 178F ; 0x0F b7_direction
  goto    ass_2179_b                      ; 00AB: 28AD ; ass_2179_b
ass_2179_f ; 00AC
  bcf     H'0F',7                         ; 00AC: 138F ; 0x0F b7_direction
ass_2179_b ; 00AD

;; 295 :    _trisb_flush
  goto    _1444__vector                   ; 00AD: 28DC ; _1444__vector
e_2156_put ; 00AE

;; 287 : procedure pin_b6_direction'put( bit in d ) is
p_2120__pin_b6_direction__put_t ; 00AE
_2120__vector ; 00AE
; var H'00C:001' d
p_2120_put ; 00AE

;; 288 :    var volatile bit b6_direction at trisb : 6
; var H'00F:006' b6_direction

;; 289 :    b6_direction = d
  btfss   H'0C',1                         ; 00AE: 1C8C ; 0x0C d
  goto    ass_2143_f                      ; 00AF: 28B2 ; ass_2143_f
ass_2143_t ; 00B0
  bsf     H'0F',6                         ; 00B0: 170F ; 0x0F b6_direction
  goto    ass_2143_b                      ; 00B1: 28B3 ; ass_2143_b
ass_2143_f ; 00B2
  bcf     H'0F',6                         ; 00B2: 130F ; 0x0F b6_direction
ass_2143_b ; 00B3

;; 290 :    _trisb_flush
  goto    _1444__vector                   ; 00B3: 28DC ; _1444__vector
e_2120_put ; 00B4

;; 282 : procedure pin_b5_direction'put( bit in d ) is
p_2084__pin_b5_direction__put_t ; 00B4
_2084__vector ; 00B4
; var H'00C:001' d
p_2084_put ; 00B4

;; 283 :    var volatile bit b5_direction at trisb : 5
; var H'00F:005' b5_direction

;; 284 :    b5_direction = d
  btfss   H'0C',1                         ; 00B4: 1C8C ; 0x0C d
  goto    ass_2107_f                      ; 00B5: 28B8 ; ass_2107_f
ass_2107_t ; 00B6
  bsf     H'0F',5                         ; 00B6: 168F ; 0x0F b5_direction
  goto    ass_2107_b                      ; 00B7: 28B9 ; ass_2107_b
ass_2107_f ; 00B8
  bcf     H'0F',5                         ; 00B8: 128F ; 0x0F b5_direction
ass_2107_b ; 00B9

;; 285 :    _trisb_flush
  goto    _1444__vector                   ; 00B9: 28DC ; _1444__vector
e_2084_put ; 00BA

;; 277 : procedure pin_b4_direction'put( bit in d ) is
p_2048__pin_b4_direction__put_t ; 00BA
_2048__vector ; 00BA
; var H'00C:001' d
p_2048_put ; 00BA

;; 278 :    var volatile bit b4_direction at trisb : 4
; var H'00F:004' b4_direction

;; 279 :    b4_direction = d
  btfss   H'0C',1                         ; 00BA: 1C8C ; 0x0C d
  goto    ass_2071_f                      ; 00BB: 28BE ; ass_2071_f
ass_2071_t ; 00BC
  bsf     H'0F',4                         ; 00BC: 160F ; 0x0F b4_direction
  goto    ass_2071_b                      ; 00BD: 28BF ; ass_2071_b
ass_2071_f ; 00BE
  bcf     H'0F',4                         ; 00BE: 120F ; 0x0F b4_direction
ass_2071_b ; 00BF

;; 280 :    _trisb_flush
  goto    _1444__vector                   ; 00BF: 28DC ; _1444__vector
e_2048_put ; 00C0

;; 272 : procedure pin_b3_direction'put( bit in d ) is
p_2012__pin_b3_direction__put_t ; 00C0
_2012__vector ; 00C0
; var H'00C:001' d
p_2012_put ; 00C0

;; 273 :    var volatile bit b3_direction at trisb : 3
; var H'00F:003' b3_direction

;; 274 :    b3_direction = d
  btfss   H'0C',1                         ; 00C0: 1C8C ; 0x0C d
  goto    ass_2035_f                      ; 00C1: 28C4 ; ass_2035_f
ass_2035_t ; 00C2
  bsf     H'0F',3                         ; 00C2: 158F ; 0x0F b3_direction
  goto    ass_2035_b                      ; 00C3: 28C5 ; ass_2035_b
ass_2035_f ; 00C4
  bcf     H'0F',3                         ; 00C4: 118F ; 0x0F b3_direction
ass_2035_b ; 00C5

;; 275 :    _trisb_flush
  goto    _1444__vector                   ; 00C5: 28DC ; _1444__vector
e_2012_put ; 00C6

;; 267 : procedure pin_b2_direction'put( bit in d ) is
p_1976__pin_b2_direction__put_t ; 00C6
_1976__vector ; 00C6
; var H'00C:001' d
p_1976_put ; 00C6

;; 268 :    var volatile bit b2_direction at trisb : 2
; var H'00F:002' b2_direction

;; 269 :    b2_direction = d
  btfss   H'0C',1                         ; 00C6: 1C8C ; 0x0C d
  goto    ass_1999_f                      ; 00C7: 28CA ; ass_1999_f
ass_1999_t ; 00C8
  bsf     H'0F',2                         ; 00C8: 150F ; 0x0F b2_direction
  goto    ass_1999_b                      ; 00C9: 28CB ; ass_1999_b
ass_1999_f ; 00CA
  bcf     H'0F',2                         ; 00CA: 110F ; 0x0F b2_direction
ass_1999_b ; 00CB

;; 270 :    _trisb_flush
  goto    _1444__vector                   ; 00CB: 28DC ; _1444__vector
e_1976_put ; 00CC

;; 262 : procedure pin_b1_direction'put( bit in d ) is
p_1940__pin_b1_direction__put_t ; 00CC
_1940__vector ; 00CC
; var H'00C:001' d
p_1940_put ; 00CC

;; 263 :    var volatile bit b1_direction at trisb : 1
; var H'00F:001' b1_direction

;; 264 :    b1_direction = d
  btfss   H'0C',1                         ; 00CC: 1C8C ; 0x0C d
  goto    ass_1963_f                      ; 00CD: 28D0 ; ass_1963_f
ass_1963_t ; 00CE
  bsf     H'0F',1                         ; 00CE: 148F ; 0x0F b1_direction
  goto    ass_1963_b                      ; 00CF: 28D1 ; ass_1963_b
ass_1963_f ; 00D0
  bcf     H'0F',1                         ; 00D0: 108F ; 0x0F b1_direction
ass_1963_b ; 00D1

;; 265 :    _trisb_flush
  goto    _1444__vector                   ; 00D1: 28DC ; _1444__vector
e_1940_put ; 00D2

;; 257 : procedure pin_b0_direction'put( bit in d ) is
p_1904__pin_b0_direction__put_t ; 00D2
_1904__vector ; 00D2
; var H'00C:001' d
p_1904_put ; 00D2

;; 258 :    var volatile bit b0_direction at trisb : 0
; var H'00F:000' b0_direction

;; 259 :    b0_direction = d
  btfss   H'0C',1                         ; 00D2: 1C8C ; 0x0C d
  goto    ass_1927_f                      ; 00D3: 28D6 ; ass_1927_f
ass_1927_t ; 00D4
  bsf     H'0F',0                         ; 00D4: 140F ; 0x0F b0_direction
  goto    ass_1927_b                      ; 00D5: 28D7 ; ass_1927_b
ass_1927_f ; 00D6
  bcf     H'0F',0                         ; 00D6: 100F ; 0x0F b0_direction
ass_1927_b ; 00D7

;; 260 :    _trisb_flush
  goto    _1444__vector                   ; 00D7: 28DC ; _1444__vector
e_1904_put ; 00D8

;; 185 : procedure port_a_direction'put( byte in x ) is
p_1492__port_a_direction__put_t ; 00D8
_1492__vector ; 00D8
; var H'012:000' x
p_1492_put ; 00D8

;; 188 :       movfw x
	
  movfw   H'12'                       ; 00D8: 0812 ; 0x12 x

;; 190 :       movwf trisa
  movwf   H'0E'                           ; 00D9: 008E ; 0x0E trisa

;; 191 :       tris 5
  MOVWF	   TRISA                       ; 00DA: 0065 ; 5
e_1492_put ; 00DB
  return                                  ; 00DB: 0008 ; 
_1444__vector ; 00DC
p_1444__trisb_flush ; 00DC

;; 172 :       movfw trisb
  movfw   H'0F'                           ; 00DC: 080F ; 0x0F trisb

;; 173 :       tris  6
  movwf    TRISB                         ; 00DD: 0066 ; 6
e_1444__trisb_flush ; 00DE
  return                                  ; 00DE: 0008 ; 
__idle ; 00DF
  goto    __idle                          ; 00DF: 28DF ; __idle

 END

; ********** variable mapping
; 05:0 : ;
;   port_a                         * 0034:19 jpic.jal 
; 06:0 : ;
;   port_b                         * 0415:22 jpic.jal 
;   port_b                         * 0035:19 jpic.jal 
; 06:4 : ;
;   pin_b4                         * 0055:19 jpic.jal 
; 0C:0 : ;
;    transfer_bit                    
; 0C:1 : ;
;   d                                0257:33 jpic.jal 
;   d                                0262:33 jpic.jal 
;   d                                0267:33 jpic.jal 
;   d                                0272:33 jpic.jal 
;   d                                0277:33 jpic.jal 
;   d                                0282:33 jpic.jal 
;   d                                0287:33 jpic.jal 
;   d                                0292:33 jpic.jal 
;   start                            0035:09 duka_jal.txt 
; 0C:2 : ;
;   merker                           0036:09 duka_jal.txt 
; 0C:3 : ;
;   x                                0501:23 jpic.jal 
;   x                                0506:23 jpic.jal 
;   x                                0511:23 jpic.jal 
;   x                                0516:23 jpic.jal 
; 0D:0 : ;
;    transfer_byte                   
; 0E:0 : ;
;   trisa                            0115:10 jpic.jal 
; 0F:0 : ;
;   b0_direction                   * 0258:21 jpic.jal 
;   trisb                            0116:10 jpic.jal 
; 0F:1 : ;
;   b1_direction                   * 0263:21 jpic.jal 
; 0F:2 : ;
;   b2_direction                   * 0268:21 jpic.jal 
; 0F:3 : ;
;   b3_direction                   * 0273:21 jpic.jal 
; 0F:4 : ;
;   b4_direction                   * 0278:21 jpic.jal 
; 0F:5 : ;
;   b5_direction                   * 0283:21 jpic.jal 
; 0F:6 : ;
;   b6_direction                   * 0288:21 jpic.jal 
; 0F:7 : ;
;   b7_direction                   * 0293:21 jpic.jal 
; 10:0 : ;
;   trisc                            0117:10 jpic.jal 
; 11:0 : ;
;   pin_b0_buffer                  * 0502:12 jpic.jal 
;   _port_b_buffer                   0408:10 jpic.jal 
; 11:1 : ;
;   pin_b1_buffer                  * 0507:12 jpic.jal 
; 11:2 : ;
;   pin_b2_buffer                  * 0512:12 jpic.jal 
; 11:3 : ;
;   pin_b3_buffer                  * 0517:12 jpic.jal 
; 12:0 : ;
;   x                                0185:33 jpic.jal 
;   dek_0                            0032:10 duka_jal.txt 
; 13:0 : ;
;   dek_1                            0033:10 duka_jal.txt 
; 14:0 : ;
;   dek_2                            0034:10 duka_jal.txt 
; 15:0 : ;
;   x                                0355:23 jdelay.jal 
;   x                                0367:24 jdelay.jal 
;   x                                0379:21 jdelay.jal 
;   x                                0387:21 jdelay.jal 
; 16:0 : ;
;   x                                0233:25 jdelay.jal 
; 17:0 : ;
;   y                                0233:36 jdelay.jal 
; 18:0 : ;
;   z                                0233:47 jdelay.jal 
; 19:0 : ;
;   xx                               0290:16 jdelay.jal 
; 1A:0 : ;
;   yy                               0290:20 jdelay.jal 

